- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgParticle::ParticleEffect Class Reference

Inheritance diagram for osgParticle::ParticleEffect:

[legend]
List of all members.

## Public Member Functions
| ParticleEffect ()
| ParticleEffect (const ParticleEffect &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual const char * | libraryName () const
| return the name of the node's library.
virtual const char * | className () const
| return the name of the node's class type.
virtual bool | isSameKindAs (const osg::Object *obj) const
| return true if this and obj are of the same kind of object.
virtual void | accept (osg::NodeVisitor &nv)
| Visitor Pattern : calls the apply method of a NodeVisitor with this node's type.
void | setEmitter (Emitter *emitter)
Emitter * | getEmitter ()
const Emitter * | getEmitter () const
void | setProgram (Program *program)
Program * | getProgram ()
const Program * | getProgram () const
void | setParticleSystem (ParticleSystem *ps)
ParticleSystem * | getParticleSystem ()
const ParticleSystem * | getParticleSystem () const
virtual void | buildEffect ()=0
## Protected Attributes
osg::ref_ptr< Emitter > | _emitter
osg::ref_ptr< Program > | _program
osg::ref_ptr< ParticleSystem > | _particleSystem

## Constructor & Destructor Documentation

osgParticle::ParticleEffect::ParticleEffect | ( |  | ) | `[inline]`

ParticleEffect::ParticleEffect | ( | const ParticleEffect & | copy,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) |

## Member Function Documentation

virtual void osgParticle::ParticleEffect::accept | ( | osg::NodeVisitor & | nv | ) | `[inline, virtual]`

| Visitor Pattern : calls the apply method of a NodeVisitor with this node's type. Reimplemented from osg::Node.

virtual void osgParticle::ParticleEffect::buildEffect | ( |  | ) | `[pure virtual]`

| Implemented in osgParticle::ExplosionEffect, osgParticle::FireEffect, and osgParticle::SmokeEffect.

virtual const char* osgParticle::ParticleEffect::className | ( |  | ) | const`[inline, virtual]`

| return the name of the node's class type. Reimplemented from osg::Node.

const Emitter* osgParticle::ParticleEffect::getEmitter | ( |  | ) | const`[inline]`

Emitter* osgParticle::ParticleEffect::getEmitter | ( |  | ) | `[inline]`

const ParticleSystem* osgParticle::ParticleEffect::getParticleSystem | ( |  | ) | const`[inline]`

ParticleSystem* osgParticle::ParticleEffect::getParticleSystem | ( |  | ) | `[inline]`

const Program* osgParticle::ParticleEffect::getProgram | ( |  | ) | const`[inline]`

Program* osgParticle::ParticleEffect::getProgram | ( |  | ) | `[inline]`

virtual bool osgParticle::ParticleEffect::isSameKindAs | ( | const osg::Object * | obj | ) | const`[inline, virtual]`

| return true if this and obj are of the same kind of object. Reimplemented from osg::Node.

virtual const char* osgParticle::ParticleEffect::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the node's library. Reimplemented from osg::Node.

void osgParticle::ParticleEffect::setEmitter | ( | Emitter * | emitter | ) | `[inline]`

void osgParticle::ParticleEffect::setParticleSystem | ( | ParticleSystem * | ps | ) | `[inline]`

void osgParticle::ParticleEffect::setProgram | ( | Program * | program | ) | `[inline]`

## Member Data Documentation

osg::ref_ptr<Emitter> osgParticle::ParticleEffect::_emitter`[protected]`

osg::ref_ptr<ParticleSystem> osgParticle::ParticleEffect::_particleSystem`[protected]`

osg::ref_ptr<Program> osgParticle::ParticleEffect::_program`[protected]`

The documentation for this class was generated from the following files:

- ParticleEffect
- ParticleEffect.cpp